Клуб API Карт

Не работает в мобильной версии.

zxbsdnet
3 ноября 2015, 13:44
Друзья, делаю калькулятор. Работает в полной версии броузера хром, а в мобильной версии работать отказывается. В консоле ( в мобильной версии) выскакивает "Uncaught TypeError: Cannot read property 'apply' of undefined"

Не могли бы вы указать на проблему. Заранее спасибо.

Смотреть тут www.taxibaza.ru
5 комментариев
Подписаться на комментарии к посту

Uncaught TypeError: Cannot read property 'apply' of undefinedv @ _YMaps.js?v=1.1.21-54:11z.notify @ _YMaps.js?v=1.1.21-54:11k.Events.notify @ _YMaps.js?v=1.1.21-54:11a.destructor @ _YMaps.js?v=1.1.21-54:11extract_data_from_router @ searchHelper.js:249v @ _YMaps.js?v=1.1.21-54:11z.notify @ _YMaps.js?v=1.1.21-54:11k.Events.notifyPermanent @ _YMaps.js?v=1.1.21-54:11a._onLoad @ _YMaps.js?v=1.1.21-54:11(anonymous function) @ _YMaps.js?v=1.1.21-54:11I @ _YMaps.js?v=1.1.21-54:11k.RouteProviders.add.h.ajax.success @ _YMaps.js?v=1.1.21-54:11Z @ _YMaps.js?v=1.1.21-54:11H.extend.ajax.C.(anonymous function) @ _YMaps.js?v=1.1.21-54:11(anonymous function) @ ?key=AEN8HVYBAAAAaQgjYgIAz0oZLmK3DURLwAuhOYNy6vtMqn0AAAAAAAAAAABFtRTCuCrYDNyu9gzxylU5F7jvvA%3D%3D&l…:1

Зачем вы используете старую версию 1.х?

Уважаемый, я вас умоляю просто. Расскажите в 2х словах как это чудо на новую версию перевести. Код калькулятора я переделываю, сам нифига не умею, ну вот хоть запустить получилось, расчеты добавил и тд. Но как в мобильнике завести сие чудо вообще не знаю, 2 недели уже головой об стену бьюсь.

1.х не работает на мобильниках, в ее времена мобильники были как кирпичи с кнопками.

Есть руководство по переходу

https://tech.yandex.ru/maps/doc/jsapi/2.1/update/concepts/update-docpage/#update-1.x

Спасибо огромное, я все ява форумы облазил, не кто ничего не сказал по этому поводу. Теперь знаю хоть куда копать. Вообще гиганское спасибо. Вы меня очень выручили.